Skip to main content
GET
/
app.rocksky.actor.getActorAlbums
Get albums for an actor
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.actor.getActorAlbums \
  --header 'Authorization: Bearer <token>'
{
  "albums": [
    {
      "id": "<string>",
      "uri": "<string>",
      "title": "<string>",
      "artist": "<string>",
      "artistUri": "<string>",
      "year": 123,
      "albumArt": "<string>",
      "releaseDate": "<string>",
      "sha256": "<string>",
      "playCount": 1,
      "uniqueListeners": 1
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

did
string<at-identifier>
required

The DID or handle of the actor

limit
integer

The maximum number of albums to return

Required range: x >= 1
offset
integer

The offset for pagination

Required range: x >= 0
startDate
string<date-time>

The start date to filter albums from (ISO 8601 format)

endDate
string<date-time>

The end date to filter albums to (ISO 8601 format)

Response

OK

albums
object[]